<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TaxGroupSearchBasic StructType
 * @subpackage Structs
 */
class TaxGroupSearchBasic extends SearchRecordBasic
{
    /**
     * The city
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $city;
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchEnumMultiSelectField
     */
    public $country;
    /**
     * The county
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $county;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $description;
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The includeChildren
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $includeChildren;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isDefault;
    /**
     * The isInactive
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $isInactive;
    /**
     * The itemId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $itemId;
    /**
     * The piggyBack
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $piggyBack;
    /**
     * The rate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $rate;
    /**
     * The state
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $state;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The taxItem1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $taxItem1;
    /**
     * The taxItem2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $taxItem2;
    /**
     * The taxType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $taxType;
    /**
     * The unitPrice1
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitPrice1;
    /**
     * The unitPrice2
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $unitPrice2;
    /**
     * The zip
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $zip;
    /**
     * Constructor method for TaxGroupSearchBasic
     * @uses TaxGroupSearchBasic::setCity()
     * @uses TaxGroupSearchBasic::setCountry()
     * @uses TaxGroupSearchBasic::setCounty()
     * @uses TaxGroupSearchBasic::setDescription()
     * @uses TaxGroupSearchBasic::setExternalId()
     * @uses TaxGroupSearchBasic::setExternalIdString()
     * @uses TaxGroupSearchBasic::setIncludeChildren()
     * @uses TaxGroupSearchBasic::setInternalId()
     * @uses TaxGroupSearchBasic::setInternalIdNumber()
     * @uses TaxGroupSearchBasic::setIsDefault()
     * @uses TaxGroupSearchBasic::setIsInactive()
     * @uses TaxGroupSearchBasic::setItemId()
     * @uses TaxGroupSearchBasic::setPiggyBack()
     * @uses TaxGroupSearchBasic::setRate()
     * @uses TaxGroupSearchBasic::setState()
     * @uses TaxGroupSearchBasic::setSubsidiary()
     * @uses TaxGroupSearchBasic::setTaxItem1()
     * @uses TaxGroupSearchBasic::setTaxItem2()
     * @uses TaxGroupSearchBasic::setTaxType()
     * @uses TaxGroupSearchBasic::setUnitPrice1()
     * @uses TaxGroupSearchBasic::setUnitPrice2()
     * @uses TaxGroupSearchBasic::setZip()
     * @param \StructType\SearchStringField $city
     * @param \StructType\SearchEnumMultiSelectField $country
     * @param \StructType\SearchStringField $county
     * @param \StructType\SearchStringField $description
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchBooleanField $includeChildren
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchBooleanField $isDefault
     * @param \StructType\SearchBooleanField $isInactive
     * @param \StructType\SearchStringField $itemId
     * @param \StructType\SearchBooleanField $piggyBack
     * @param \StructType\SearchDoubleField $rate
     * @param \StructType\SearchMultiSelectField $state
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchMultiSelectField $taxItem1
     * @param \StructType\SearchMultiSelectField $taxItem2
     * @param \StructType\SearchMultiSelectField $taxType
     * @param \StructType\SearchDoubleField $unitPrice1
     * @param \StructType\SearchDoubleField $unitPrice2
     * @param \StructType\SearchStringField $zip
     */
    public function __construct(\StructType\SearchStringField $city = null, \StructType\SearchEnumMultiSelectField $country = null, \StructType\SearchStringField $county = null, \StructType\SearchStringField $description = null, \StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchBooleanField $includeChildren = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchBooleanField $isDefault = null, \StructType\SearchBooleanField $isInactive = null, \StructType\SearchStringField $itemId = null, \StructType\SearchBooleanField $piggyBack = null, \StructType\SearchDoubleField $rate = null, \StructType\SearchMultiSelectField $state = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchMultiSelectField $taxItem1 = null, \StructType\SearchMultiSelectField $taxItem2 = null, \StructType\SearchMultiSelectField $taxType = null, \StructType\SearchDoubleField $unitPrice1 = null, \StructType\SearchDoubleField $unitPrice2 = null, \StructType\SearchStringField $zip = null)
    {
        $this
            ->setCity($city)
            ->setCountry($country)
            ->setCounty($county)
            ->setDescription($description)
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setIncludeChildren($includeChildren)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setIsDefault($isDefault)
            ->setIsInactive($isInactive)
            ->setItemId($itemId)
            ->setPiggyBack($piggyBack)
            ->setRate($rate)
            ->setState($state)
            ->setSubsidiary($subsidiary)
            ->setTaxItem1($taxItem1)
            ->setTaxItem2($taxItem2)
            ->setTaxType($taxType)
            ->setUnitPrice1($unitPrice1)
            ->setUnitPrice2($unitPrice2)
            ->setZip($zip);
    }
    /**
     * Get city value
     * @return \StructType\SearchStringField|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param \StructType\SearchStringField $city
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setCity(\StructType\SearchStringField $city = null)
    {
        $this->city = $city;
        return $this;
    }
    /**
     * Get country value
     * @return \StructType\SearchEnumMultiSelectField|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param \StructType\SearchEnumMultiSelectField $country
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setCountry(\StructType\SearchEnumMultiSelectField $country = null)
    {
        $this->country = $country;
        return $this;
    }
    /**
     * Get county value
     * @return \StructType\SearchStringField|null
     */
    public function getCounty()
    {
        return $this->county;
    }
    /**
     * Set county value
     * @param \StructType\SearchStringField $county
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setCounty(\StructType\SearchStringField $county = null)
    {
        $this->county = $county;
        return $this;
    }
    /**
     * Get description value
     * @return \StructType\SearchStringField|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param \StructType\SearchStringField $description
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setDescription(\StructType\SearchStringField $description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get includeChildren value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIncludeChildren()
    {
        return $this->includeChildren;
    }
    /**
     * Set includeChildren value
     * @param \StructType\SearchBooleanField $includeChildren
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setIncludeChildren(\StructType\SearchBooleanField $includeChildren = null)
    {
        $this->includeChildren = $includeChildren;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get isDefault value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param \StructType\SearchBooleanField $isDefault
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setIsDefault(\StructType\SearchBooleanField $isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get isInactive value
     * @return \StructType\SearchBooleanField|null
     */
    public function getIsInactive()
    {
        return $this->isInactive;
    }
    /**
     * Set isInactive value
     * @param \StructType\SearchBooleanField $isInactive
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setIsInactive(\StructType\SearchBooleanField $isInactive = null)
    {
        $this->isInactive = $isInactive;
        return $this;
    }
    /**
     * Get itemId value
     * @return \StructType\SearchStringField|null
     */
    public function getItemId()
    {
        return $this->itemId;
    }
    /**
     * Set itemId value
     * @param \StructType\SearchStringField $itemId
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setItemId(\StructType\SearchStringField $itemId = null)
    {
        $this->itemId = $itemId;
        return $this;
    }
    /**
     * Get piggyBack value
     * @return \StructType\SearchBooleanField|null
     */
    public function getPiggyBack()
    {
        return $this->piggyBack;
    }
    /**
     * Set piggyBack value
     * @param \StructType\SearchBooleanField $piggyBack
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setPiggyBack(\StructType\SearchBooleanField $piggyBack = null)
    {
        $this->piggyBack = $piggyBack;
        return $this;
    }
    /**
     * Get rate value
     * @return \StructType\SearchDoubleField|null
     */
    public function getRate()
    {
        return $this->rate;
    }
    /**
     * Set rate value
     * @param \StructType\SearchDoubleField $rate
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setRate(\StructType\SearchDoubleField $rate = null)
    {
        $this->rate = $rate;
        return $this;
    }
    /**
     * Get state value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getState()
    {
        return $this->state;
    }
    /**
     * Set state value
     * @param \StructType\SearchMultiSelectField $state
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setState(\StructType\SearchMultiSelectField $state = null)
    {
        $this->state = $state;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get taxItem1 value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTaxItem1()
    {
        return $this->taxItem1;
    }
    /**
     * Set taxItem1 value
     * @param \StructType\SearchMultiSelectField $taxItem1
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setTaxItem1(\StructType\SearchMultiSelectField $taxItem1 = null)
    {
        $this->taxItem1 = $taxItem1;
        return $this;
    }
    /**
     * Get taxItem2 value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTaxItem2()
    {
        return $this->taxItem2;
    }
    /**
     * Set taxItem2 value
     * @param \StructType\SearchMultiSelectField $taxItem2
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setTaxItem2(\StructType\SearchMultiSelectField $taxItem2 = null)
    {
        $this->taxItem2 = $taxItem2;
        return $this;
    }
    /**
     * Get taxType value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getTaxType()
    {
        return $this->taxType;
    }
    /**
     * Set taxType value
     * @param \StructType\SearchMultiSelectField $taxType
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setTaxType(\StructType\SearchMultiSelectField $taxType = null)
    {
        $this->taxType = $taxType;
        return $this;
    }
    /**
     * Get unitPrice1 value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitPrice1()
    {
        return $this->unitPrice1;
    }
    /**
     * Set unitPrice1 value
     * @param \StructType\SearchDoubleField $unitPrice1
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setUnitPrice1(\StructType\SearchDoubleField $unitPrice1 = null)
    {
        $this->unitPrice1 = $unitPrice1;
        return $this;
    }
    /**
     * Get unitPrice2 value
     * @return \StructType\SearchDoubleField|null
     */
    public function getUnitPrice2()
    {
        return $this->unitPrice2;
    }
    /**
     * Set unitPrice2 value
     * @param \StructType\SearchDoubleField $unitPrice2
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setUnitPrice2(\StructType\SearchDoubleField $unitPrice2 = null)
    {
        $this->unitPrice2 = $unitPrice2;
        return $this;
    }
    /**
     * Get zip value
     * @return \StructType\SearchStringField|null
     */
    public function getZip()
    {
        return $this->zip;
    }
    /**
     * Set zip value
     * @param \StructType\SearchStringField $zip
     * @return \StructType\TaxGroupSearchBasic
     */
    public function setZip(\StructType\SearchStringField $zip = null)
    {
        $this->zip = $zip;
        return $this;
    }
}
